<template>
    <div class="edit-popup">
        <popup
            ref="popupRef"
            title="详情"
            :async="true"
            width="550px"
            :cancelButtonText="false"
            :confirmButtonText="false"
        >
            <el-form ref="formRef" :model="formData" label-width="90px">
                <el-form-item label="会员名称" prop="title">
                    <el-input v-model="formData.title" clearable placeholder="请输入会员名称" :readonly="true"/>
                </el-form-item>
                <el-form-item label="充值金额" prop="limit">
                    <el-input v-model="formData.limit" clearable placeholder="请输入充值金额" :readonly="true"/>
                </el-form-item>
                <el-form-item label="排序倒序" prop="sort">
                    <el-input v-model="formData.sort" clearable placeholder="请输入排序倒序" :readonly="true"/>
                </el-form-item>
            </el-form>
        </popup>
    </div>
</template>

<script lang="ts" setup name="userShipDETAILS">
import type { FormInstance } from 'element-plus'
import Popup from '@/components/popup/index.vue'
import { apiUserShipAdd, apiUserShipEdit, apiUserShipDetail } from '@/api/user_ship'
import { timeFormat } from '@/utils/util'
import type { PropType } from 'vue'
defineProps({
    dictData: {
        type: Object as PropType<Record<string, any[]>>,
        default: () => ({})
    }
})
const emit = defineEmits(['success', 'close'])
const formRef = shallowRef<FormInstance>()
const popupRef = shallowRef<InstanceType<typeof Popup>>()
const mode = ref('add')



// 表单数据
const formData = reactive({
    id: '',
    title: '',
    limit: '',
    sort: '',
})



// 获取详情
const setFormData = async (data: Record<any, any>) => {
    for (const key in formData) {
        if (data[key] != null && data[key] != undefined) {
            //@ts-ignore
            formData[key] = data[key]
        }
    }
    
    
}

const getDetail = async (row: Record<string, any>) => {
    const data = await apiUserShipDetail({
        id: row.id
    })
    setFormData(data)
}

//打开弹窗
const open = () => {
    popupRef.value?.open()
}

// 关闭回调
const handleClose = () => {
    emit('close')
}



defineExpose({
    open,
    setFormData,
    getDetail
})
</script>
